Bug 333133 - baloo_file_extractor SIGSEGV in size ()
Summary: baloo_file_extractor SIGSEGV in size ()
Status: RESOLVED FIXED
Alias: None
Product: Baloo
Classification: Unclassified
Component: Baloo File Daemon (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Vishesh Handa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-06 17:58 UTC by Andreas K. Huettel
Modified: 2014-04-19 08:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.13


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Huettel 2014-04-06 17:58:51 UTC
Gentoo, KDE 4.13rc, akonadi 1.12.0, xapian 1.2.14
About 4000 core dumps during one night, below is an example backtrace. 
Same problem also seen on Ububtu, see 
https://bugs.launchpad.net/ubuntu/+source/baloo/+bug/1301742

Core was generated by `/usr/bin/baloo_file_extractor 31386 31385 31382 31381 31380'.
Program terminated with signal 11, Segmentation fault.
#0  size (this=<optimized out>, this=<optimized out>) at /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_vector.h:646
646           { return size_type(this->_M_impl._M_finish - this->_M_impl._M_start); }
(gdb) bt
#0  size (this=<optimized out>, this=<optimized out>) at /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_vector.h:646
#1  Xapian::Database::get_document (this=0x0, did=did@entry=31386) at api/omdatabase.cc:439
#2  0x0000000000409070 in Baloo::App::processNextUrl (this=0x7fff9d8c2aa0)
    at /var/tmp/portage/kde-base/baloo-4.12.97/work/baloo-4.12.97/src/file/extractor/app.cpp:129
#3  0x00007fd924302aee in QObject::event (this=0x7fff9d8c2aa0, e=<optimized out>) at kernel/qobject.cpp:1194
#4  0x00007fd924caf41c in QApplicationPrivate::notify_helper (this=this@entry=0x11c8270, receiver=receiver@entry=0x7fff9d8c2aa0, 
e=e@entry=
    0x13eee80) at kernel/qapplication.cpp:4562
#5  0x00007fd924cb59e0 in QApplication::notify (this=0x7fff9d8c2a80, receiver=0x7fff9d8c2aa0, e=0x13eee80) at kernel/qapplication.cpp:4348
#6  0x00007fd9242eac0d in QCoreApplication::notifyInternal (this=0x7fff9d8c2a80, receiver=receiver@entry=0x7fff9d8c2aa0, 
    event=event@entry=0x13eee80) at kernel/qcoreapplication.cpp:949
#7  0x00007fd9242edc5f in sendEvent (event=0x13eee80, receiver=0x7fff9d8c2aa0) at kernel/qcoreapplication.h:231
#8  QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x11b01f0)
    at kernel/qcoreapplication.cpp:1573
#9  0x00007fd9242ee103 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0)
    at kernel/qcoreapplication.cpp:1466
#10 0x00007fd924317e83 in sendPostedEvents () at kernel/qcoreapplication.h:236
#11 postEventSourceDispatch (s=s@entry=0x11c9650) at kernel/qeventdispatcher_glib.cpp:280
#12 0x00007fd92201e176 in g_main_dispatch (context=0x11c9440) at 
/var/tmp/portage/dev-libs/glib-2.38.2-r1/work/glib-2.38.2/glib/gmain.c:3066
#13 g_main_context_dispatch (context=context@entry=0x11c9440) at 
/var/tmp/portage/dev-libs/glib-2.38.2-r1/work/glib-2.38.2/glib/gmain.c:3642
#14 0x00007fd92201e4c8 in g_main_context_iterate (context=context@entry=0x11c9440, block=block@entry=1, dispatch=dispatch@entry=1, 
    self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.38.2-r1/work/glib-2.38.2/glib/gmain.c:3713
#15 0x00007fd92201e56c in g_main_context_iteration (context=0x11c9440, may_block=1)
    at /var/tmp/portage/dev-libs/glib-2.38.2-r1/work/glib-2.38.2/glib/gmain.c:3774
#16 0x00007fd924317745 in QEventDispatcherGlib::processEvents (this=0x11b1ab0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#17 0x00007fd924d4bbd6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at 
kernel/qguieventdispatcher_glib.cpp:204
#18 0x00007fd9242e986f in QEventLoop::processEvents (this=this@entry=0x7fff9d8c28d0, flags=...) at kernel/qeventloop.cpp:149
#19 0x00007fd9242e9b65 in QEventLoop::exec (this=this@entry=0x7fff9d8c28d0, flags=...) at kernel/qeventloop.cpp:204
#20 0x00007fd9242eec7b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#21 0x00007fd924cadbdc in QApplication::exec () at kernel/qapplication.cpp:3823
#22 0x0000000000407234 in main (argc=6, argv=0x7fff9d8c2c48)
    at /var/tmp/portage/kde-base/baloo-4.12.97/work/baloo-4.12.97/src/file/extractor/main.cpp:76
Comment 1 Vishesh Handa 2014-04-07 09:32:17 UTC
This crash can no longer occur as the offending function (get_document) is no longer called.
Comment 2 Victor Polevoy 2014-04-19 08:50:57 UTC
Using KDE 4.13 with kubuntu 14.04, this bug still exists. I've disabled baloo by methods described here: http://ubuntuforums.org/showthread.php?t=2217434

Some years ago I've had same issues with akonadi and some other software for indexing, can't remember for sure.
Comment 3 Victor Polevoy 2014-04-19 08:52:07 UTC
Oh no, wrong bug to comment. Delete this comments please.